%global srcname pytest-virtualenv

Summary:        Virtualenv fixture for py.test
Name:           python-%{srcname}
Version:        1.7.0
Release:        7%{?dist}
License:        MIT
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz

Patch5000:      fix-deprecate-warning.patch

BuildRequires:  python3-devel python3-setuptools python3-pytest python3-pytest-shutil
BuildRequires:  python3-path python3-virtualenv python3-pytest-fixture-config

BuildArch:      noarch

%description
Create a Python virtual environment in your test that cleans up on teardown.  The fixture has
utility methods to install packages and list what's installed.

%package -n python3-%{srcname}
Summary:        Virtualenv fixture for py.test
Requires:       python3-path python3-setuptools

%description -n python3-%{srcname}
Create a Python virtual environment in your test that cleans up on teardown.  The fixture has
utility methods to install packages and list what's installed.

%prep
%autosetup -n %{srcname}-%{version}

sed -i -e '/setuptools-git/d' common_setup.py

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{srcname}
%doc README.md CHANGES.md
%{python3_sitelib}/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.0-7
- Rebuilt for loongarch release

* Fri Feb 02 2024 cunshunxia <cunshunxia@tencent.com> - 1.7.0-6
- fix test failed because pkg_resources deprecated warning.

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Feb 10 2023 Shuo Wang <abushwang@tencent.com> - 1.7.0-1
- initial build
